<?
if ($drop) {			//linkБросить
if (substr($drop,0,20)=='item.armor.body.prem') msg("Вы не можете бросить етот предмет!");
if (substr($drop,0,16)=='item.weapon.prem') msg("Вы не можете бросить етот предмет!");
	// $drop=id предмета [$num=кол-во]
	if ($player["ghost"]) msg("<p>Вы призрак и поэтому не можете ничего передать, поднять или бросить, найдите лекаря или камень воскрешения");
	if (!isset($player["items"][$drop])) msg("<p>У вас нет этого предмета");

	// бросаем предмет в локацию
	$item=split("\|",$player["items"][$drop]);
	// проверим кол-во
	if ($item[1]>1 && !$num) 
	{		
		// запросим кол-во
		$stmp="<form action=\"$PHP_SELF?sid=$sid&drop=$drop\" method=\"post\">Укажите количество:\n<br/><input name=\"num\" value=\"".$item[1]."\" format=\"*N\" class=\"inup\"/>\n<br/><input type=\"submit\" value=\"Бросить\" class=\"btn\"></form>";
		msg($stmp);
	}
	$count = (int)$num;
	if (!$count || $count<1) $count=1;	// если не указано, то 1 предмет
	if ($count>$item[1]) $count=$item[1];	// и максимум берем все что есть
	// удаляем из items игрока и снимаем, если экипирован
	$item[1]-=$count;
	if ($item[1]<=0) {unset($player["items"][$drop]); calcparam($login);} else $player["items"][$drop]=implode("|",$item);
	// добавляем в локацию
	if (isset($game["loc"][$player["loc"]][$drop])) $itemp=split("\|",$game["loc"][$player["loc"]][$drop]); else {$itemp=$item; $itemp[1]=0;}
	$itemp[1]+=$count;
	$game["loc"][$player["loc"]][$drop]=implode("|",$itemp);
	if (!isset($game["loc_add"][$player["loc"]][$drop])) $game["loc_del"][$player["loc"]][$drop]=time()+$time_objects_destroy;	// таймер удаления (если в локации нет респавна этих предметов)
	addjournal($login,"Вы бросили ".$count." ".$item[0]);
	addjournalall($player["loc"],$player["title"]." бросил ".$count." ".$item[0],$login);
	}
?>